#ifndef GLOBALSETTINGSFORM_H
#define GLOBALSETTINGSFORM_H

#include <QWidget>
#include "../formbinder.h"
#include "globalsettings.h"

namespace Ui {
class GlobalSettingsForm;
}

class GlobalSettingsForm : public FormBinder<GlobalSettings>
{
    Q_OBJECT

public:
    explicit GlobalSettingsForm(QWidget *parent = 0);
    ~GlobalSettingsForm();

private:
    Ui::GlobalSettingsForm *ui;

    // IForm interface
public slots:
    bool saveRecord() override;

    // IForm interface
public:
    void loadEntity() override;
};

#endif // GLOBALSETTINGSFORM_H
